商品価格削除
DELETE
/products/{product_id}/prices/{price_division}/{store_id}/{start_date}
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/products/example/prices/example/example/example';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://api.smaregi.dev/TARGET-CONTRACT-ID/pos/products/example/prices/example/example/example \ --header 'Authorization: Bearer <token>'商品価格を削除します。
対象プラン
- スタンダード
- プレミアム
- プレミアムプラス
- フードビジネス
- リテールビジネス
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”product_id
required
string
商品毎に付与するID
※ ユーザーアクセストークンを利用する場合、ユーザーの所属する店舗で販売している商品IDを指定してください。
price_division
required
string
価格区分(1:商品単価、2:会員価格)
store_id
required
string
店舗ID (全店の場合、-1を設定)
start_date
required
string
適用開始日:[YYYY-MM-DD]
Responses
Section titled “Responses”削除成功
- URIの適用開始日がYYYY-MM-DD形式でなかった場合
Media typeapplication/json
object
type
required
string
title
required
string
detail
string
status
integer
Examples
ExampleURIの適用開始日がYYYY-MM-DD形式でなかった場合
{ "type": "about:blank", "title": "Bad Request", "detail": "適用開始日は\"YYYY-MM-DD\"形式を指定してください", "status": 400}- URIで指定された商品が存在しなかった場合
- URIで指定された店舗が存在しなかった場合
- URIで指定されたパラメータの組み合わせが存在しなかった場合
Media typeapplication/json
object
type
required
string
title
required
string
detail
string
status
integer
Examples
{ "type": "about:blank", "title": "NotFound", "detail": "指定された商品IDのリソースが見つかりません", "status": 404}{ "type": "about:blank", "title": "NotFound", "detail": "指定された店舗IDのリソースが見つかりません", "status": 404}{ "type": "about:blank", "title": "NotFound", "detail": "指定された商品価格のリソースが見つかりません", "status": 404}